Represents a delivery receipt of a message.

### Hierarchy

- DetailedDeliveryReceipt

## Index

### Properties

- channelMessageSid
- conversationSid
- dateCreated
- dateUpdated
- errorCode
- messageSid
- participantSid
- sid
- status

## Properties

### channelMessageSid

channelMessageSid: string

Unique identifier for the `‘channel’` message (e.g., `WAxx` for WhatsApp, `SMxx` for SMS).

### conversationSid

conversationSid: string

Unique identifier for the conversation.

### dateCreated

dateCreated: string

Date this delivery receipt was created on.

### dateUpdated

dateUpdated: string

Date this delivery receipt was last updated on.

### errorCode

errorCode: string | 0

Numeric error code mapped from Status callback code. Information about the error codes can be found here.

### messageSid

messageSid: string

Unique identifier for the message in the conversation.

### participantSid

participantSid: string

Unique identifier for the participant.

### sid

sid: string

Unique identifier for the delivery receipt.

### status

status: DeliveryStatus

Status of the message delivery.